LangChain Reference home pageLangChain ReferenceLangChain Reference
  • GitHub
  • Main Docs
Deep Agents
LangChain
LangGraph
Integrations
LangSmith
LangSmith
  • Client
  • Run Trees
  • Traceable
  • Evaluation
  • Schemas
  • Langchain
  • Jest
  • Vitest
  • Wrappers
  • Anonymizer
  • Jestlike
  • Vercel
  • Anthropic
  • Sandbox
⌘I

LangChain Assistant

Ask a question to get started

Enter to send•Shift+Enter new line

Menu

LangSmith
ClientRun TreesTraceableEvaluationSchemasLangchainJestVitestWrappersAnonymizerJestlikeVercelAnthropicSandbox
Language
Theme
JavaScriptlangsmith_openapi_clientLangsmithExamples
Class●Since v0.8

Examples

Copy
class Examples

Bases

APIResource

Constructors

constructor
constructor

Properties

property
_client: Langsmith
property
bulk: Bulk
property
validate: Validate

Methods

method
create→ APIPromise<RunCreateResponse>

Add Runs To Annotation Queue

method
delete→ APIPromise<Rsp>
method
deleteAll→ APIPromise<unknown>

Delete Runs From Annotation Queue

method
list→ APIPromise<RunListResponse>

Get Runs From Annotation Queue

method
retrieve→ APIPromise<DatasetShareSchema | null>

Get the state of sharing a dataset

method
retrieveCount→ APIPromise<number>

Count all examples by query params

method
update→ APIPromise<unknown>

Update Run In Annotation Queue

method
uploadFromCsv→ APIPromise<ExampleUploadFromCsvResponse>

Upload examples from a CSV file.

Note: For non-csv upload, please use the POST /v1/platform/datasets/{dataset_id}/examples endpoint which provides more efficient upload.

View source on GitHub